Bug 154645 - [PATCH] math/levmar: fix profiling library option, minor cleanup
Summary: [PATCH] math/levmar: fix profiling library option, minor cleanup
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Brendan Fabeny
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-10 10:20 UTC by Brendan Fabeny
Modified: 2011-02-27 02:39 UTC (History)
0 users

See Also:


Attachments
file.diff (1.53 KB, patch)
2011-02-10 10:20 UTC, Brendan Fabeny
no flags Details | Diff
fix_typo.diff (648 bytes, patch)
2011-02-10 11:04 UTC, Eijiro Shibusawa
no flags Details | Diff
levmar.diff.2.txt (2.90 KB, text/plain; charset=US-ASCII)
2011-02-10 12:47 UTC, b. f.
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Brendan Fabeny freebsd_committer 2011-02-10 10:20:10 UTC
Fix the option to build profiling libraries as was done in ports/150549 and ports/150174 for math/lapack and math/blas, respectively. Remove the devel/binutils-related bits, because USE_BINUTILS is now set for all ports that USE_FORTRAN in bsd.gcc.mk.

Fix: Patch attached with submission follows:
Comment 1 Edwin Groothuis freebsd_committer 2011-02-10 10:20:16 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bf

Submitter has GNATS access (via the GNATS Auto Assign Tool)
Comment 2 Edwin Groothuis freebsd_committer 2011-02-10 10:20:19 UTC
Maintainer of math/levmar,

Please note that PR ports/154645 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/154645

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 3 Edwin Groothuis freebsd_committer 2011-02-10 10:20:21 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 4 Eijiro Shibusawa 2011-02-10 11:04:25 UTC
Dear Mr or Ms b.f.

Thank you very much for taking care of the problem.
I approve the PR, please commit your patch
after applying attached diff which fixes my typos in the port.

Thanks in advance,
Eijiro Shibusawa
Comment 5 b. f. 2011-02-10 12:47:46 UTC
>  Dear Mr or Ms b.f.

Mr., but don't worry about that.  :)

>  Thank you very much for taking care of the problem.
>  I approve the PR, please commit your patch
>  after applying attached diff which fixes my typos in the port.

Thanks.  But I'm not that some of these are typos: -pthread is the
common alias for the threading linkage on FreeBSD.  See the compiler
specs, and:

http://www.freebsd.org/doc/en_US.ISO8859-1/books/porters-handbook/dads-pthread.html

How about the attached patch instead? ( I added a test target for
convenience, and major versions of required libraries for safety. I
added PTHREAD_LIBS to the linking flags in all cases, because lapack
3.3.0 is now thread-safe.)

b.
Comment 6 Eijiro Shibusawa 2011-02-11 05:54:42 UTC
Dear Mr. b.f.,

I agree with your proposals:
* to add test target for convenience;
* to add PTHREAD_CFLAGS and PTHREAD_LIB to cflags and linking flags 
respectively.
I approve the PR again.
Thank you for useful suggestions to the port.

Sincerely,
Eijiro Shibusawa
Comment 7 dfilter service freebsd_committer 2011-02-22 17:40:48 UTC
bf          2011-02-22 17:40:44 UTC

  FreeBSD ports repository

  Modified files:
    math/levmar          Makefile 
  Log:
  - Fix the option to build profiling libraries as was done in
  ports/150174 and ports/150549 for math/blas and math/lapack,
  respectively.
  
  - Remove the devel/binutils-related additions to MAKE_ENV,
  as these are now done by default.
  
  - Adjust linking
  
  - Add a test target
  
  - Bump PORTREVISION
  
  PR:             154645
  Approved by:    makc, miwi (mentors, implicit)
                  Eijiro Shibusawa (maintainer)
  
  Revision  Changes    Path
  1.3       +31 -16    ports/math/levmar/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 Brendan Fabeny freebsd_committer 2011-02-27 02:39:31 UTC
State Changed
From-To: feedback->closed

Committed. Thanks!